Centos下升级Python,增加https支持

一开始有这个需求,是因为用 YaH3C 替代 iNode 进行校园网认证时,一直编译错误,提示找不到 Python 的某个模块,百度了一下,此模块是在 Python2.7 以上才有的,但是系统的自带的Python是2.6版本,难怪一直连不上网。于是,继续百度google,进行安装,后来又出现问题…在此开篇记录一下,权当备忘。

为了让 python 支持 https ,首先安装 ssl 协议的支持,然后再升级。

1
sudo yum install openssl-devel

查看python的版本

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
#python  -V  
Python 2.6.6

1.下载Python-2.7.3

#wget http://python.org/ftp/python/2.7.3/Python-2.7.3.tar.bz2

2.解压

#tar -jxvf Python-2.7.3.tar.bz2

3.更改工作目录

#cd Python-2.7.3

4.安装

#./configure
#make all
#make install
#make clean
#make distclean

5.查看版本信息

#/usr/local/bin/python2.7 -V

6.建立软连接,使系统默认的 python指向 python2.7

#mv /usr/bin/python /usr/bin/python2.6.6
#ln -s /usr/local/bin/python2.7 /usr/bin/python

7.重新检验Python 版本

#python -V

8解决系统 Python 软链接指向 Python2.7 版本后,因为yum是不兼容 Python 2.7的,所以yum不能正常工作,我们需要指定 yum 的Python版本

1
2
3
4
5
6
7
8
9
#vi /usr/bin/yum

将文件头部的

#!/usr/bin/python

改成

#!/usr/bin/python2.6.6

这篇教程就到这里了,但是不久就突然发现输入法图标不见了,然后打字没有候选框!iBus 崩了!再次进行搜索,又是版本问题,iBus也是不支持Python2.7的啊!

于是。。。

9.配置iBus

分别用 vi 打开下面两个文件,找到 exec python 那一行,把 exec python 改 为exec python2.6 保存,退出。iBus在重启后就恢复正常了!是不是很开心?

1
2
#vi /usr/bin/ibus-setup
#vi /usr/libexec/ibus-ui-gtk

这样就搞定 python 的 https 喽

如果你不是非常有钱,请不要捐赠,土豪随意